%define upstream_name    Math-BigInt
%define upstream_version 1.999818

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Arbitrary size integer/float math package
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.580.0
BuildRequires: perl(Math::Complex) >= 1.390.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildArch:  noarch

%description
All operators (including basic math operations) are overloaded if you declare
your big integers as

  $i = new Math::BigInt '123_456_789_123_456_789';

Operations with overloaded operators preserve the arguments which is exactly
what you expect.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc BUGS CHANGES CREDITS GOALS HISTORY LICENSE META.json META.yml MYMETA.yml NEW README SIGNATURE TODO examples
%{perl_vendorlib}/Math
%{_mandir}/*/*

%changelog
* Mon Feb 17 2020 umeabot <umeabot> 1.999.818-2.mga8
+ Revision: 1537102
- Mageia 8 Mass Rebuild

* Thu Oct 24 2019 tv <tv> 1.999.818-1.mga8
+ Revision: 1455628
- update to 1.999818

* Mon Oct 14 2019 tv <tv> 1.999.817-1.mga8
+ Revision: 1453290
- update to 1.999817

* Tue Aug 27 2019 tv <tv> 1.999.816-3.mga8
+ Revision: 1433174
- rebuild with perl-5.30

* Fri Apr 05 2019 shlomif <shlomif> 1.999.816-2.mga7
+ Revision: 1386183
- Rebuild for new perl 5.28.0

* Tue Oct 30 2018 tv <tv> 1.999.816-1.mga7
+ Revision: 1326669
- update to 1.999816

* Sat Oct 20 2018 tv <tv> 1.999.815-1.mga7
+ Revision: 1322684
- new release

* Wed Oct 17 2018 shlomif <shlomif> 1.999.814-1.mga7
+ Revision: 1321464
- update to 1.999814

* Thu Sep 20 2018 umeabot <umeabot> 1.999.813-3.mga7
+ Revision: 1284753
- Mageia 7 Mass Rebuild

* Thu Aug 09 2018 guillomovitch <guillomovitch> 1.999.813-2.mga7
+ Revision: 1250645
- rebuild for new perl 5.28, as to override CORE version

* Mon Apr 23 2018 shlomif <shlomif> 1.999.813-1.mga7
+ Revision: 1221450
- update to 1.999813

* Tue Oct 03 2017 tv <tv> 1.999.811-2.mga7
+ Revision: 1165296
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 sander85 <sander85> 1.999.811-1.mga7
+ Revision: 1155527
- update to 1.999811

* Mon Jul 24 2017 tv <tv> 1.999.808-2.mga7
+ Revision: 1129837
- rebuild for perl 5.26

* Sat Feb 04 2017 shlomif <shlomif> 1.999.808-1.mga6
+ Revision: 1084832
- New version + rebuild for new perl

* Sun Jun 19 2016 pterjan <pterjan> 1.999.722-3.mga6
+ Revision: 1029556
- Rebuild for perl 5.22.2

* Sat Jun 18 2016 pterjan <pterjan> 1.999.722-2.mga6
+ Revision: 1022070
- Rebuild in the hope it fixes Math::BigInt::GMP tests.
  They work fine if I rebuild this package (on i586 or x86_64) on my machine.

* Fri Apr 29 2016 shlomif <shlomif> 1.999.722-1.mga6
+ Revision: 1007962
- update to 1.999722

* Fri Apr 15 2016 shlomif <shlomif> 1.999.716-1.mga6
+ Revision: 1002136
- update to 1.999716

* Fri Dec 18 2015 shlomif <shlomif> 1.999.710-1.mga6
+ Revision: 911738
- New version 1.999710

* Mon Sep 28 2015 sander85 <sander85> 1.999.704-1.mga6
+ Revision: 884671
- update to 1.999704

* Thu Aug 13 2015 sander85 <sander85> 1.999.700-1.mga6
+ Revision: 864394
- update to 1.9997

* Wed Oct 15 2014 umeabot <umeabot> 1.999.300-4.mga5
+ Revision: 749133
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.999.300-3.mga5
+ Revision: 685347
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 jquelin <jquelin> 1.999.300-2.mga5
+ Revision: 634032
- perl 5.20 rebuild

* Mon Apr 07 2014 jquelin <jquelin> 1.999.300-1.mga5
+ Revision: 612535
- update to 1.9993

* Fri Oct 18 2013 umeabot <umeabot> 1.997.0-4.mga4
+ Revision: 512827
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.997.0-3.mga3
+ Revision: 369549
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 04 2011 jquelin <jquelin> 1.997.0-2.mga2
+ Revision: 162815
- take priority over module bundled with perl 5.14.2

* Mon Sep 26 2011 jquelin <jquelin> 1.997.0-1.mga2
+ Revision: 148131
- update to 1.997

* Mon Feb 28 2011 jquelin <jquelin> 1.993.0-1.mga1
+ Revision: 61432
- update to 1.993

* Sat Feb 26 2011 jquelin <jquelin> 1.992.0-1.mga1
+ Revision: 60684
- update to 1.992

* Fri Feb 18 2011 jquelin <jquelin> 1.991.0-1.mga1
+ Revision: 53696
- update to 1.991

* Tue Jan 18 2011 jquelin <jquelin> 1.990.0-1.mga1
+ Revision: 22654
- cleaning spec file
- imported package perl-Math-BigInt


* Tue Nov 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.990.0-1mdv2011.0
+ Revision: 598085
- update to new version 1.99

* Sat Nov 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.980.0-1mdv2011.0
+ Revision: 597192
- update to 1.98

* Sat Sep 04 2010 Jérôme Quelin <jquelin@mandriva.org> 1.900.0-1mdv2011.0
+ Revision: 575732
- update to 1.90

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.890.0-1mdv2011.0
+ Revision: 403851
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.89-2mdv2009.0
+ Revision: 268600
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.89-1mdv2009.0
+ Revision: 196478
- update to new version 1.89

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.88-1mdv2009.0
+ Revision: 193858
- update to new version 1.88

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.87-2mdv2008.0
+ Revision: 78149
- noarch package

* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.87-1mdv2008.0
+ Revision: 77701
- import perl-Math-BigInt


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-6mdv2007.0
- Rebuild

* Thu May 04 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.01-5mdk
- Fix According to perl Policy
    - Source URL
- use mkrel

* Sat Jun 11 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-4mdk 
- better url
- spec cleanup
- don't ship useless empty dirs
- make test in %%check

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.01-3mdk
- fix buildrequires in a backward compatible way

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.01-2mdk 
- rpmbuildupdate aware

* Mon Jan 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.01-1mdk
- first mdk release
